"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("@emotion/react/jsx-runtime");
var react_1 = require("react");
var props_1 = require("../../../utilities/props");
var Styled = require("./style");
/**
 * List Component
 */
var List = (0, react_1.forwardRef)(function (props, forwardedRef) {
    var _a, _b, _c, _d;
    var ordered = props.ordered;
    var style = __assign(__assign(__assign(__assign({}, (0, props_1.getWhiteSpaceProps)(props)), (0, props_1.getFontProps)(props)), { listStyle: (_a = props.listStyle) !== null && _a !== void 0 ? _a : props.ls, listStyleType: (_b = props.listStyleType) !== null && _b !== void 0 ? _b : props.lst, listStyleImage: (_c = props.listStyleImage) !== null && _c !== void 0 ? _c : props.lsi, listStylePosition: (_d = props.listStylePosition) !== null && _d !== void 0 ? _d : props.lsp }), props.style);
    var Tag = ordered ? Styled.OrderedList : Styled.UnorderedList;
    return (0, jsx_runtime_1.jsx)(Tag, __assign({}, props, { ref: forwardedRef, style: style }));
});
exports.default = List;
