/// <reference types="react" />
import { SizePropsDeprecated } from "../../../types/props";
interface ModalProps extends SizePropsDeprecated {
    title: string;
    children: JSX.Element | string;
    handleConfirmClick: () => void;
    handleCancelClick: () => void;
    isFullScreen?: boolean;
    isBlockedBackground?: boolean;
    backgroundColor?: string;
}
declare const Modal: ({ title, children, handleConfirmClick, handleCancelClick, isFullScreen, isBlockedBackground, width, height, backgroundColor, }: ModalProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default Modal;
