"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("@emotion/react/jsx-runtime");
var react_1 = require("@testing-library/react");
var _1 = require(".");
var user_event_1 = require("@testing-library/user-event");
describe("<Button />", function () {
    it("matches snapshot", function () {
        var utils = (0, react_1.render)((0, jsx_runtime_1.jsx)(_1.default, { children: "Button" }));
        expect(utils.container).toMatchSnapshot();
    });
    it("shows the props correctly", function () {
        var utils = (0, react_1.render)((0, jsx_runtime_1.jsx)(_1.default, { children: "Button" }));
        utils.getByText("Button");
    });
    it("click test", function () {
        var handleClick = function () {
            console.log("Hello, world!");
        };
        var utils = (0, react_1.render)((0, jsx_runtime_1.jsx)(_1.default, __assign({ onClick: handleClick }, { children: "Button" })));
        var target = react_1.screen.getByRole("button", { name: "Button" });
        user_event_1.default.click(target);
        expect(console).toEqual("Hello, world!");
    });
});
