/// <reference types="react" />
import { SizePropsDeprecated } from "../../../types/props";
import type { Property } from "csstype";
export interface SelectListStyleProps extends SizePropsDeprecated {
    isOpen?: boolean;
    isSelected?: boolean;
    placeholder?: string;
    maxItemCount?: number;
}
export declare const Container: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & import("../../base/ContainerBase").ContainerBaseStyleProps & import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & SelectListStyleProps, {}, {}>;
export declare const Input: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & import("react").ClassAttributes<HTMLInputElement> & import("react").InputHTMLAttributes<HTMLInputElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & SelectListStyleProps, {}, {}>;
interface ListStyleProps {
    itemHeight: Property.Height<string | number> | undefined;
    showItemCount: number;
}
export declare const List: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & import("../../../components/base/ListBase").ListBaseStyleProps & import("react").ClassAttributes<HTMLUListElement> & import("react").HTMLAttributes<HTMLUListElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & ListStyleProps, {}, {}>;
export declare const Option: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
}, import("react").DetailedHTMLProps<import("react").OptionHTMLAttributes<HTMLOptionElement>, HTMLOptionElement>, {}>;
export declare const Item: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & import("../../base/ItemBase").ItemBaseStyleProps & import("react").ClassAttributes<HTMLLIElement> & import("react").LiHTMLAttributes<HTMLLIElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & SelectListStyleProps, {}, {}>;
export {};
