"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Item = exports.Option = exports.List = exports.Input = exports.Container = void 0;
var styled_1 = require("@emotion/styled");
var css_1 = require("../../../constants/css");
var ContainerBase_1 = require("../../base/ContainerBase");
var InputBase_1 = require("../../base/InputBase");
var ItemBase_1 = require("../../base/ItemBase");
var ListBase_1 = require("../../../components/base/ListBase");
exports.Container = (0, styled_1.default)(ContainerBase_1.ContainerBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
exports.Input = (0, styled_1.default)(InputBase_1.InputEllipsisBase)(templateObject_2 || (templateObject_2 = __makeTemplateObject([""], [""])));
exports.List = (0, styled_1.default)(ListBase_1.ListBase)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  color: ", ";\n  max-height: ", ";\n  overflow-y: auto;\n  width: 100%;\n  top: 55px;\n  border-radius: 4px;\n  box-shadow: ", ";\n"], ["\n  color: ", ";\n  max-height: ", ";\n  overflow-y: auto;\n  width: 100%;\n  top: 55px;\n  border-radius: 4px;\n  box-shadow: ", ";\n"])), function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = theme.defaultColor) !== null && _b !== void 0 ? _b : "gray";
}, function (_a) {
    var itemHeight = _a.itemHeight, showItemCount = _a.showItemCount;
    return "calc(".concat(itemHeight, " * ").concat(showItemCount, ")");
}, css_1.OUT_SHADOW);
exports.Option = styled_1.default.option(templateObject_4 || (templateObject_4 = __makeTemplateObject([""], [""])));
exports.Item = (0, styled_1.default)(ItemBase_1.ItemBase)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  height: 35px;\n  line-height: 35px;\n  padding: 0 10px;\n  ", ";\n"], ["\n  height: 35px;\n  line-height: 35px;\n  padding: 0 10px;\n  ", ";\n"])), css_1.ELLIPSIS);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
