"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Label = exports.Input = exports.Container = void 0;
var styled_1 = require("@emotion/styled");
var InputBase_1 = require("../../../components/base/InputBase");
var css_1 = require("../../../constants/css");
var css_2 = require("../../../utilities/css");
var ContainerBase_1 = require("../../../components/base/ContainerBase");
exports.Container = (0, styled_1.default)(ContainerBase_1.ContainerBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
exports.Input = (0, styled_1.default)(InputBase_1.InputBase)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  // placeholder style\n  &::placeholder {\n    opacity: 0;\n    transition: opacity ", "s ease-in-out;\n  }\n  &:focus {\n    &::placeholder {\n      opacity: 1;\n    }\n  }\n  // label style\n  + label {\n    font-size: ", ";\n    top: ", ";\n  }\n  &:focus + label {\n    font-size: 0.8rem;\n    top: 0%;\n    color: ", ";\n  }\n"], ["\n  // placeholder style\n  &::placeholder {\n    opacity: 0;\n    transition: opacity ", "s ease-in-out;\n  }\n  &:focus {\n    &::placeholder {\n      opacity: 1;\n    }\n  }\n  // label style\n  + label {\n    font-size: ", ";\n    top: ", ";\n  }\n  &:focus + label {\n    font-size: 0.8rem;\n    top: 0%;\n    color: ", ";\n  }\n"])), css_1.TRANSITION_NORMAL, function (props) { return (props.value === "" ? "1rem" : "0.8rem"); }, function (props) { return (props.value === "" ? "50%" : "0%"); }, function (props) { return (0, css_2.getPrimaryColor)(props); });
exports.Label = styled_1.default.label(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  pointer-events: none;\n  left: 5px;\n  padding: 0 5px;\n  top: 50%;\n  color: ", ";\n  background-color: white;\n  transform: translateY(-50%);\n  transition: top ", "s linear,\n    font-size ", "s linear, color ", "s linear;\n"], ["\n  position: absolute;\n  pointer-events: none;\n  left: 5px;\n  padding: 0 5px;\n  top: 50%;\n  color: ", ";\n  background-color: white;\n  transform: translateY(-50%);\n  transition: top ", "s linear,\n    font-size ", "s linear, color ", "s linear;\n"])), function (props) { return (0, css_2.getDefaultColor)(props); }, css_1.TRANSITION_FAST, css_1.TRANSITION_FAST, css_1.TRANSITION_FAST);
var templateObject_1, templateObject_2, templateObject_3;
