"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("@emotion/react/jsx-runtime");
var react_1 = require("react");
var props_1 = require("../../../utilities/props");
var Styled = require("./style");
/**
 * Grid Component
 */
var Grid = (0, react_1.forwardRef)(function (props, forwardedRef) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l;
    var style = __assign(__assign(__assign({}, (0, props_1.getContainerProps)(props)), { gridAutoColumns: (_a = props.autoColumns) !== null && _a !== void 0 ? _a : props.gac, gridAutoRows: (_b = props.autoRows) !== null && _b !== void 0 ? _b : props.gar, gridAutoFlow: (_c = props.autoFlow) !== null && _c !== void 0 ? _c : props.gaf, gridTemplateColumns: (_d = props.templateColumns) !== null && _d !== void 0 ? _d : props.gtc, gridTemplateRows: (_e = props.templateRows) !== null && _e !== void 0 ? _e : props.gtr, gridTemplateAreas: (_f = props.templateArea) !== null && _f !== void 0 ? _f : props.gta, alignContent: (_g = props.alignContent) !== null && _g !== void 0 ? _g : props.ac, alignItems: (_h = props.alignItems) !== null && _h !== void 0 ? _h : props.ai, justifyContent: (_j = props.justifyContent) !== null && _j !== void 0 ? _j : props.jc, gap: props.gap, rowGap: (_k = props.rowGap) !== null && _k !== void 0 ? _k : props.rg, columnGap: (_l = props.columnGap) !== null && _l !== void 0 ? _l : props.cg }), props.style);
    return (0, jsx_runtime_1.jsx)(Styled.Grid, __assign({}, props, { ref: forwardedRef, style: style }));
});
exports.default = Grid;
