"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageItem = exports.Svg = exports.List = exports.Container = void 0;
var styled_1 = require("@emotion/styled");
exports.Container = styled_1.default.nav(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: ", ";\n  display: flex;\n  justify-content: center;\n"], ["\n  width: ", ";\n  display: flex;\n  justify-content: center;\n"])), function (_a) {
    var width = _a.width;
    return (width ? "".concat(width, "px") : "100%");
});
exports.List = styled_1.default.ul(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  list-style-type: none;\n  gap: ", ";\n  align-items: center;\n  margin: 0px;\n  padding: 0px;\n"], ["\n  display: flex;\n  list-style-type: none;\n  gap: ", ";\n  align-items: center;\n  margin: 0px;\n  padding: 0px;\n"])), function (_a) {
    var gap = _a.gap;
    return "".concat(gap, "px");
});
exports.Svg = styled_1.default.svg(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  width: 1em;\n  height: 1em;\n  display: block;\n  stroke: ", ";\n  stroke-width: 1px;\n  opacity: 0.5;\n  &:hover {\n    opacity: 1;\n  }\n"], ["\n  width: 1em;\n  height: 1em;\n  display: block;\n  stroke: ", ";\n  stroke-width: 1px;\n  opacity: 0.5;\n  &:hover {\n    opacity: 1;\n  }\n"])), function (_a) {
    var color = _a.color;
    return color;
});
exports.PageItem = styled_1.default.li(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  cursor: ", ";\n  width: 1em;\n  color: ", ";\n  font-weight: ", ";\n  opacity: ", ";\n  &:hover {\n    opacity: initial;\n  }\n"], ["\n  cursor: ", ";\n  width: 1em;\n  color: ", ";\n  font-weight: ", ";\n  opacity: ", ";\n  &:hover {\n    opacity: initial;\n  }\n"])), function (_a) {
    var activate = _a.activate;
    return (activate ? "pointer" : "initial");
}, function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = theme.defaultColor) !== null && _b !== void 0 ? _b : "gray";
}, function (_a) {
    var activate = _a.activate;
    return (!activate ? "bold" : "initial");
}, function (_a) {
    var activate = _a.activate;
    return (!activate ? "initial" : 0.5);
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
