"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useActive = function () {
    var _a = (0, react_1.useState)(false), active = _a[0], setActive = _a[1];
    var handleActive = (0, react_1.useCallback)(function () {
        setActive(function (prev) { return !prev; });
    }, []);
    return { active: active, setActive: setActive, handleActive: handleActive };
};
exports.default = useActive;
