var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import styled from "@emotion/styled";
import { TRANSITION_NORMAL } from "../../../constants/css";
import { OUT_SHADOW, VIRTUAL_ELEMENT } from "../../../constants/css";
import { getPrimaryColor } from "../../../utilities/css";
export var Button = styled.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  padding: 0 15px;\n  border-radius: 4px;\n  height: 35px;\n  font-size: 16px;\n  &::after {\n    ", ";\n    z-index: -2;\n    border-radius: inherit;\n    opacity: 0.7;\n    transition: opacity ", "s ease-in-out,\n      box-shadow ", "s ease-in-out;\n  }\n  &:hover {\n    &::after {\n      opacity: 1;\n    }\n  }\n  border: none;\n  background-color: initial;\n  cursor: pointer;\n"], ["\n  position: relative;\n  padding: 0 15px;\n  border-radius: 4px;\n  height: 35px;\n  font-size: 16px;\n  &::after {\n    ", ";\n    z-index: -2;\n    border-radius: inherit;\n    opacity: 0.7;\n    transition: opacity ", "s ease-in-out,\n      box-shadow ", "s ease-in-out;\n  }\n  &:hover {\n    &::after {\n      opacity: 1;\n    }\n  }\n  border: none;\n  background-color: initial;\n  cursor: pointer;\n"])), VIRTUAL_ELEMENT, TRANSITION_NORMAL, TRANSITION_NORMAL);
export var TextButton = styled(Button)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  color: ", ";\n"], ["\n  color: ", ";\n"])), function (props) { return getPrimaryColor(props); });
export var ContainedButton = styled(Button)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  color: white;\n  &::after {\n    background-color: ", ";\n  }\n  &:hover {\n    &::after {\n      box-shadow: ", ";\n    }\n  }\n"], ["\n  color: white;\n  &::after {\n    background-color: ", ";\n  }\n  &:hover {\n    &::after {\n      box-shadow: ", ";\n    }\n  }\n"])), function (props) { return getPrimaryColor(props); }, OUT_SHADOW);
export var OutlinedButton = styled(Button)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: ", ";\n  &::after {\n    border: 1px solid ", ";\n  }\n  &:hover {\n    &::after {\n      box-shadow: ", ";\n    }\n  }\n"], ["\n  color: ", ";\n  &::after {\n    border: 1px solid ", ";\n  }\n  &:hover {\n    &::after {\n      box-shadow: ", ";\n    }\n  }\n"])), function (props) { return getPrimaryColor(props); }, function (props) { return getPrimaryColor(props); }, OUT_SHADOW);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
