var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import styled from "@emotion/styled";
import { ItemBase } from "../../base/ItemBase";
import { VIRTUAL_ELEMENT, OUT_SHADOW } from "../../../constants/css";
import { ContainerBase } from "../../base/ContainerBase";
import { InputBase } from "../../base/InputBase";
export var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: ", ";\n  position: relative;\n"], ["\n  width: ", ";\n  position: relative;\n"])), function (_a) {
    var _b = _a.width, width = _b === void 0 ? 200 : _b;
    return "".concat(width, "px");
});
export var SelectWrapper = styled(ContainerBase)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  position: relative;\n  align-items: center;\n  height: ", ";\n  padding: 0 10px;\n"], ["\n  display: flex;\n  position: relative;\n  align-items: center;\n  height: ", ";\n  padding: 0 10px;\n"])), function (_a) {
    var _b = _a.height, height = _b === void 0 ? 35 : _b;
    return "".concat(height, "px");
});
export var Input = styled(InputBase)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  z-index: 1;\n"], ["\n  z-index: 1;\n"])));
export var ListContainer = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-top: 5px;\n  text-align: center;\n  position: absolute;\n  background-color: white;\n  z-index: 2;\n\n  &::after {\n    ", ";\n    border-radius: 4px;\n    border: 1px solid ", ";\n    box-shadow: ", ";\n  }\n"], ["\n  margin-top: 5px;\n  text-align: center;\n  position: absolute;\n  background-color: white;\n  z-index: 2;\n\n  &::after {\n    ", ";\n    border-radius: 4px;\n    border: 1px solid ", ";\n    box-shadow: ", ";\n  }\n"])), VIRTUAL_ELEMENT, function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = theme.primaryColor) !== null && _b !== void 0 ? _b : "gray";
}, OUT_SHADOW);
export var YearMonth = styled.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  color: ", ";\n  height: ", ";\n  line-height: ", ";\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  column-gap: 1em;\n"], ["\n  color: ", ";\n  height: ", ";\n  line-height: ", ";\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  column-gap: 1em;\n"])), function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = theme.defaultColor) !== null && _b !== void 0 ? _b : "gray";
}, function (_a) {
    var _b = _a.height, height = _b === void 0 ? 30 : _b;
    return "".concat(height, "px");
}, function (_a) {
    var _b = _a.height, height = _b === void 0 ? 30 : _b;
    return "".concat(height, "px");
});
export var WeekdayList = styled.ul(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  padding: 0;\n  margin: 0;\n  flex: 1;\n  display: grid;\n  grid-template-columns: repeat(7, 1fr);\n  list-style-type: none;\n"], ["\n  padding: 0;\n  margin: 0;\n  flex: 1;\n  display: grid;\n  grid-template-columns: repeat(7, 1fr);\n  list-style-type: none;\n"])));
export var WeekdayItem = styled.li(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  z-index: 1;\n  width: ", ";\n  height: ", ";\n  line-height: ", ";\n  font-size: 0.75rem;\n"], ["\n  z-index: 1;\n  width: ", ";\n  height: ", ";\n  line-height: ", ";\n  font-size: 0.75rem;\n"])), function (_a) {
    var _b = _a.width, width = _b === void 0 ? 40 : _b;
    return "".concat(width, "px");
}, function (_a) {
    var _b = _a.height, height = _b === void 0 ? 30 : _b;
    return "".concat(height, "px");
}, function (_a) {
    var _b = _a.height, height = _b === void 0 ? 30 : _b;
    return "".concat(height, "px");
});
export var DateList = styled.ul(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  padding: 0;\n  margin: 0;\n  flex: 1;\n  display: grid;\n  grid-template-columns: repeat(7, 1fr);\n  list-style-type: none;\n"], ["\n  padding: 0;\n  margin: 0;\n  flex: 1;\n  display: grid;\n  grid-template-columns: repeat(7, 1fr);\n  list-style-type: none;\n"])));
export var DateItem = styled(ItemBase)(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  z-index: 1;\n  width: ", ";\n  height: ", ";\n  line-height: ", ";\n"], ["\n  z-index: 1;\n  width: ", ";\n  height: ", ";\n  line-height: ", ";\n"])), function (_a) {
    var _b = _a.width, width = _b === void 0 ? 40 : _b;
    return "".concat(width, "px");
}, function (_a) {
    var _b = _a.height, height = _b === void 0 ? 30 : _b;
    return "".concat(height, "px");
}, function (_a) {
    var _b = _a.height, height = _b === void 0 ? 30 : _b;
    return "".concat(height, "px");
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9;
