import React, { ReactElement } from "react";
import { InputOnchangeProperty, InputPlaceholderProperty, InputValueProperty, SizeProps } from "../../../types/props";
import { OptionProps } from "./Option";
declare type Children = ReactElement<OptionProps>;
interface SelectListProps extends SizeProps {
    children?: Children | Array<Children>;
    value: InputValueProperty;
    onChange: InputOnchangeProperty;
    placeholder?: InputPlaceholderProperty;
    isSearchable?: boolean;
    showItemCount?: number;
    style?: React.CSSProperties;
    listStyle?: React.CSSProperties;
    itemStyle?: React.CSSProperties;
}
declare const Select: (props: SelectListProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default Select;
