var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import styled from "@emotion/styled";
import { InputBase } from "../../../components/base/InputBase";
import { TRANSITION_FAST, TRANSITION_NORMAL } from "../../../constants/css";
import { getDefaultColor, getPrimaryColor } from "../../../utilities/css";
import { ContainerBase } from "../../../components/base/ContainerBase";
export var Container = styled(ContainerBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
export var Input = styled(InputBase)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  // placeholder style\n  &::placeholder {\n    opacity: 0;\n    transition: opacity ", "s ease-in-out;\n  }\n  &:focus {\n    &::placeholder {\n      opacity: 1;\n    }\n  }\n  // label style\n  + label {\n    font-size: ", ";\n    top: ", ";\n  }\n  &:focus + label {\n    font-size: 0.8rem;\n    top: 0%;\n    color: ", ";\n  }\n"], ["\n  // placeholder style\n  &::placeholder {\n    opacity: 0;\n    transition: opacity ", "s ease-in-out;\n  }\n  &:focus {\n    &::placeholder {\n      opacity: 1;\n    }\n  }\n  // label style\n  + label {\n    font-size: ", ";\n    top: ", ";\n  }\n  &:focus + label {\n    font-size: 0.8rem;\n    top: 0%;\n    color: ", ";\n  }\n"])), TRANSITION_NORMAL, function (props) { return (props.value === "" ? "1rem" : "0.8rem"); }, function (props) { return (props.value === "" ? "50%" : "0%"); }, function (props) { return getPrimaryColor(props); });
export var Label = styled.label(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  pointer-events: none;\n  left: 5px;\n  padding: 0 5px;\n  top: 50%;\n  color: ", ";\n  background-color: white;\n  transform: translateY(-50%);\n  transition: top ", "s linear,\n    font-size ", "s linear, color ", "s linear;\n"], ["\n  position: absolute;\n  pointer-events: none;\n  left: 5px;\n  padding: 0 5px;\n  top: 50%;\n  color: ", ";\n  background-color: white;\n  transform: translateY(-50%);\n  transition: top ", "s linear,\n    font-size ", "s linear, color ", "s linear;\n"])), function (props) { return getDefaultColor(props); }, TRANSITION_FAST, TRANSITION_FAST, TRANSITION_FAST);
var templateObject_1, templateObject_2, templateObject_3;
