var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import styled from "@emotion/styled";
import { VIRTUAL_ELEMENT } from "../../../constants/css";
import { ContainerAbsoluteBase } from "../../base/ContainerBase";
import { ItemBase } from "../../base/ItemBase";
export var Container = styled(ContainerAbsoluteBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: ", ";\n  position: relative;\n  &::after {\n    height: ", ";\n  }\n"], ["\n  width: ", ";\n  position: relative;\n  &::after {\n    height: ", ";\n  }\n"])), function (_a) {
    var _b = _a.width, width = _b === void 0 ? 200 : _b;
    return "".concat(width, "px");
}, function (_a) {
    var isActive = _a.active, _b = _a.height, height = _b === void 0 ? 35 : _b, _c = _a.maxItemCount, maxItemCount = _c === void 0 ? 8 : _c;
    return isActive ? "".concat(height + 1 + maxItemCount * height, "px") : "100%";
});
export var SelectWrapper = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  position: relative;\n  align-items: center;\n  height: ", ";\n  &::after {\n    ", ";\n    border-bottom: ", ";\n  }\n  padding: 0 10px;\n"], ["\n  display: flex;\n  position: relative;\n  align-items: center;\n  height: ", ";\n  &::after {\n    ", ";\n    border-bottom: ", ";\n  }\n  padding: 0 10px;\n"])), function (_a) {
    var height = _a.height;
    return "".concat(height, "px");
}, VIRTUAL_ELEMENT, function (_a) {
    var _b;
    var isOpen = _a.isOpen, theme = _a.theme;
    return isOpen ? (_b = "1px solid ".concat(theme.primaryColor)) !== null && _b !== void 0 ? _b : "gray" : "initial";
});
export var Input = styled.input(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  z-index: 1;\n  flex: 1;\n  min-width: 0;\n\n  font-size: 1rem;\n  color: ", ";\n\n  border: none;\n  outline: none;\n"], ["\n  z-index: 1;\n  flex: 1;\n  min-width: 0;\n\n  font-size: 1rem;\n  color: ", ";\n\n  border: none;\n  outline: none;\n"])), function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = theme.defaultColor) !== null && _b !== void 0 ? _b : "gray";
});
export var ListContainer = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: ", ";\n  max-height: ", ";\n  position: absolute;\n  overflow: hidden;\n  display: flex;\n  background-color: white;\n  width: calc(100% - 2px);\n  left: 1px;\n  font-size: 1rem;\n  z-index: 2;\n  border-bottom-left-radius: 4px;\n  border-bottom-right-radius: 4px;\n"], ["\n  color: ", ";\n  max-height: ", ";\n  position: absolute;\n  overflow: hidden;\n  display: flex;\n  background-color: white;\n  width: calc(100% - 2px);\n  left: 1px;\n  font-size: 1rem;\n  z-index: 2;\n  border-bottom-left-radius: 4px;\n  border-bottom-right-radius: 4px;\n"])), function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = theme.defaultColor) !== null && _b !== void 0 ? _b : "gray";
}, function (_a) {
    var _b = _a.height, height = _b === void 0 ? 35 : _b, _c = _a.maxItemCount, maxItemCount = _c === void 0 ? 8 : _c;
    return "".concat(height * maxItemCount, "px");
});
export var List = styled.ul(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  padding: 0;\n  margin: 0;\n  flex: 1;\n  overflow-y: auto;\n  list-style-type: none;\n  ::-webkit-scrollbar {\n    display: none;\n  }\n"], ["\n  padding: 0;\n  margin: 0;\n  flex: 1;\n  overflow-y: auto;\n  list-style-type: none;\n  ::-webkit-scrollbar {\n    display: none;\n  }\n"])));
export var Item = styled(ItemBase)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  height: ", ";\n  padding: 0 10px;\n  line-height: ", ";\n"], ["\n  height: ", ";\n  padding: 0 10px;\n  line-height: ", ";\n"])), function (_a) {
    var height = _a.height;
    return "".concat(height, "px");
}, function (_a) {
    var height = _a.height;
    return "".concat(height, "px");
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
