export var getColorByStatus = function (props) {
    return props.active ? getPrimaryColor(props) : getDefaultColor(props);
};
export var getPrimaryColor = function (props) {
    var _a, _b;
    if ("primaryColor" in props)
        return (_a = props.primaryColor) !== null && _a !== void 0 ? _a : "gray";
    return (_b = props.theme.primaryColor) !== null && _b !== void 0 ? _b : "gray";
};
export var getDefaultColor = function (props) {
    var _a, _b;
    if ("defaultColor" in props)
        return (_a = props.defaultColor) !== null && _a !== void 0 ? _a : "gray";
    return (_b = props.theme.defaultColor) !== null && _b !== void 0 ? _b : "gray";
};
