"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContainerAbsoluteBase = exports.ContainerBase = void 0;
var styled_1 = require("@emotion/styled");
var css_1 = require("../../../utilities/css");
var css_2 = require("../../../constants/css");
var css_3 = require("../../../constants/css");
exports.ContainerBase = styled_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  position: relative;\n  height: 50px;\n  border: 1px solid;\n  border-radius: 4px;\n  border-color: ", ";\n  box-shadow: ", ";\n  transition: border ", "s ease-in-out,\n    box-shadow ", "s ease-in-out;\n"], ["\n  display: flex;\n  align-items: center;\n  position: relative;\n  height: 50px;\n  border: 1px solid;\n  border-radius: 4px;\n  border-color: ", ";\n  box-shadow: ", ";\n  transition: border ", "s ease-in-out,\n    box-shadow ", "s ease-in-out;\n"])), function (props) { return (0, css_1.getColorByStatus)(props); }, function (_a) {
    var active = _a.active;
    return (active ? css_3.OUT_SHADOW : "initial");
}, css_2.TRANSITION_NORMAL, css_2.TRANSITION_NORMAL);
exports.ContainerAbsoluteBase = styled_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  &::after {\n    ", ";\n    border: 1px solid;\n    border-radius: 4px;\n    border-color: ", ";\n    box-shadow: ", ";\n    transition: border ", "s ease-in-out,\n      box-shadow ", "s ease-in-out;\n  }\n"], ["\n  &::after {\n    ", ";\n    border: 1px solid;\n    border-radius: 4px;\n    border-color: ", ";\n    box-shadow: ", ";\n    transition: border ", "s ease-in-out,\n      box-shadow ", "s ease-in-out;\n  }\n"])), css_3.VIRTUAL_ELEMENT, function (props) { return (0, css_1.getColorByStatus)(props); }, function (_a) {
    var active = _a.active;
    return (active ? css_3.OUT_SHADOW : "initial");
}, css_2.TRANSITION_NORMAL, css_2.TRANSITION_NORMAL);
var templateObject_1, templateObject_2;
