"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("@emotion/react/jsx-runtime");
var react_1 = require("react");
var props_1 = require("../../../utilities/props");
var Styled = require("./style");
/**
 * View Component
 */
var View = (0, react_1.forwardRef)(function (props, forwardedRef) {
    var style = __assign(__assign({}, (0, props_1.getElementProps)(props)), props.style);
    return (0, jsx_runtime_1.jsx)(Styled.View, __assign({}, props, { ref: forwardedRef, style: style }));
});
exports.default = View;
