"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFontProps = exports.getBorderProps = exports.getBackgroundProps = exports.getWhiteSpaceProps = exports.getMaxSizeProps = exports.getSizeProps = exports.getElementProps = exports.getContainerProps = void 0;
var getContainerProps = function (props) {
    return __assign(__assign(__assign(__assign(__assign({}, (0, exports.getSizeProps)(props)), (0, exports.getMaxSizeProps)(props)), (0, exports.getWhiteSpaceProps)(props)), (0, exports.getBackgroundProps)(props)), (0, exports.getBorderProps)(props));
};
exports.getContainerProps = getContainerProps;
var getElementProps = function (props) {
    return __assign(__assign(__assign(__assign({}, (0, exports.getSizeProps)(props)), (0, exports.getWhiteSpaceProps)(props)), (0, exports.getBackgroundProps)(props)), (0, exports.getBorderProps)(props));
};
exports.getElementProps = getElementProps;
var getSizeProps = function (props) {
    var _a, _b;
    return {
        width: (_a = props.width) !== null && _a !== void 0 ? _a : props.w,
        height: (_b = props.height) !== null && _b !== void 0 ? _b : props.h,
    };
};
exports.getSizeProps = getSizeProps;
var getMaxSizeProps = function (props) {
    var _a, _b;
    return {
        maxWidth: (_a = props.maxWidth) !== null && _a !== void 0 ? _a : props.mw,
        maxHeight: (_b = props.maxHeight) !== null && _b !== void 0 ? _b : props.mh,
    };
};
exports.getMaxSizeProps = getMaxSizeProps;
var getWhiteSpaceProps = function (props) {
    var _a, _b;
    return {
        margin: (_a = props.margin) !== null && _a !== void 0 ? _a : props.m,
        padding: (_b = props.padding) !== null && _b !== void 0 ? _b : props.p,
    };
};
exports.getWhiteSpaceProps = getWhiteSpaceProps;
var getBackgroundProps = function (props) {
    var _a, _b;
    return {
        background: (_a = props.background) !== null && _a !== void 0 ? _a : props.bg,
        backgroundColor: (_b = props.backgroundColor) !== null && _b !== void 0 ? _b : props.bgc,
    };
};
exports.getBackgroundProps = getBackgroundProps;
var getBorderProps = function (props) {
    var _a, _b, _c;
    return {
        border: (_a = props.border) !== null && _a !== void 0 ? _a : props.bd,
        borderRadius: (_b = props.borderRadius) !== null && _b !== void 0 ? _b : props.bdr,
        boxShadow: (_c = props.boxShadow) !== null && _c !== void 0 ? _c : props.bs,
    };
};
exports.getBorderProps = getBorderProps;
var getFontProps = function (props) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    return {
        color: (_a = props.color) !== null && _a !== void 0 ? _a : props.c,
        font: props.font,
        fontStyle: (_b = props.fontStyle) !== null && _b !== void 0 ? _b : props.fst,
        fontWeight: (_c = props.fontWeight) !== null && _c !== void 0 ? _c : props.fw,
        fontSize: (_d = props.fontSize) !== null && _d !== void 0 ? _d : props.fsz,
        fontFamily: (_e = props.fontFamily) !== null && _e !== void 0 ? _e : props.ff,
        fontVariant: (_f = props.fontVariant) !== null && _f !== void 0 ? _f : props.fv,
        lineHeight: (_g = props.lineHeight) !== null && _g !== void 0 ? _g : props.lh,
        textDecoration: (_h = props.textDecoration) !== null && _h !== void 0 ? _h : props.td,
    };
};
exports.getFontProps = getFontProps;
