var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { forwardRef } from "react";
import { getFontProps, getWhiteSpaceProps } from "../../../utilities/props";
import * as Styled from "./style";
var LEVEL = {
    1: Styled.H1,
    2: Styled.H2,
    3: Styled.H3,
    4: Styled.H4,
    5: Styled.H5,
    6: Styled.H6,
};
/**
 * Heading Component
 */
var Heading = forwardRef(function (props, forwardedRef) {
    var level = props.level;
    var style = __assign(__assign(__assign({}, getWhiteSpaceProps(props)), getFontProps(props)), props.style);
    var Heading = LEVEL[level];
    return _jsx(Heading, __assign({}, props, { ref: forwardedRef, style: style }));
});
export default Heading;
