var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { forwardRef } from "react";
import { getFontProps, getWhiteSpaceProps } from "../../../utilities/props";
import * as Styled from "./style";
var TAGS = {
    p: Styled.Paragraph,
    span: Styled.Span,
    strong: Styled.Strong,
    b: Styled.Bold,
    em: Styled.Emphasis,
    i: Styled.Italic,
    q: Styled.Quote,
    mark: Styled.Mark,
};
/**
 * Text Component
 */
var Text = forwardRef(function (props, forwardedRef) {
    var tag = props.tag;
    var style = __assign(__assign(__assign({}, getWhiteSpaceProps(props)), getFontProps(props)), props.style);
    var Tag = TAGS[tag];
    return _jsx(Tag, __assign({}, props, { ref: forwardedRef, style: style }));
});
export default Text;
