var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import * as Style from "./style";
import Background from "../../common/Background/index";
import Button from "../../inputs/Button";
import { useRef } from "react";
import useClickOutside from "../../../hooks/useClickOutside";
var Modal = function (_a) {
    var title = _a.title, children = _a.children, handleConfirmClick = _a.handleConfirmClick, handleCancelClick = _a.handleCancelClick, _b = _a.isFullScreen, isFullScreen = _b === void 0 ? true : _b, _c = _a.isBlockedBackground, isBlockedBackground = _c === void 0 ? true : _c, _d = _a.width, width = _d === void 0 ? 400 : _d, height = _a.height, _e = _a.backgroundColor, backgroundColor = _e === void 0 ? "rgba(0, 0, 0, 0.2)" : _e;
    var containerRef = useRef(null);
    useClickOutside(containerRef, handleCancelClick);
    return (_jsx(Background, __assign({ backgroundColor: backgroundColor, isBlockedBackground: isBlockedBackground, isFullScreen: isFullScreen }, { children: _jsxs(Style.Container, __assign({ ref: containerRef, width: width, height: height }, { children: [_jsx(Style.Header, { children: title }), _jsx(Style.Content, { children: children }), _jsxs(Style.Footer, { children: [_jsx(Button, __assign({ onClick: handleCancelClick }, { children: "Cancel" })), _jsx(Button, __assign({ onClick: handleConfirmClick }, { children: "Confirm" }))] })] })) })));
};
export default Modal;
