var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { render, screen } from "@testing-library/react";
import Button from ".";
import userEvent from "@testing-library/user-event";
describe("<Button />", function () {
    it("matches snapshot", function () {
        var utils = render(_jsx(Button, { children: "Button" }));
        expect(utils.container).toMatchSnapshot();
    });
    it("shows the props correctly", function () {
        var utils = render(_jsx(Button, { children: "Button" }));
        utils.getByText("Button");
    });
    it("click test", function () {
        var handleClick = function () {
            console.log("Hello, world!");
        };
        var utils = render(_jsx(Button, __assign({ onClick: handleClick }, { children: "Button" })));
        var target = screen.getByRole("button", { name: "Button" });
        userEvent.click(target);
        expect(console).toEqual("Hello, world!");
    });
});
