var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { forwardRef, useRef } from "react";
import { getWhiteSpaceProps } from "../../../utilities/props";
import * as Styled from "./style";
var DIRECTIONS = {
    horizontal: "horizontal",
    vertical: "vertical",
};
/**
 * Divider Component
 */
var Divider = forwardRef(function (props, forwardedRef) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o;
    var direction = props.direction, label = props.label, labelStyle = props.labelStyle;
    var labelRef = useRef(null);
    var border = direction === "horizontal"
        ? {
            borderTopStyle: (_b = (_a = props.borderStyle) !== null && _a !== void 0 ? _a : props.bs) !== null && _b !== void 0 ? _b : "solid",
            borderTopColor: (_d = (_c = props.borderColor) !== null && _c !== void 0 ? _c : props.bc) !== null && _d !== void 0 ? _d : "gray",
            borderTopWidth: (_f = (_e = props.borderWidth) !== null && _e !== void 0 ? _e : props.bw) !== null && _f !== void 0 ? _f : "1px",
        }
        : {
            borderRightStyle: (_h = (_g = props.borderStyle) !== null && _g !== void 0 ? _g : props.bs) !== null && _h !== void 0 ? _h : "solid",
            borderRightColor: (_k = (_j = props.borderColor) !== null && _j !== void 0 ? _j : props.bc) !== null && _k !== void 0 ? _k : "gray",
            borderRightWidth: (_m = (_l = props.borderWidth) !== null && _l !== void 0 ? _l : props.bw) !== null && _m !== void 0 ? _m : "1px",
        };
    var style = __assign(__assign(__assign({ width: direction === "horizontal" ? "100%" : props.borderWidth, height: props.direction === "horizontal" ? "initial" : "100%" }, getWhiteSpaceProps(props)), border), props.style);
    return (_jsxs(Styled.Container, __assign({ height: (_o = labelRef.current) === null || _o === void 0 ? void 0 : _o.clientHeight }, { children: [_jsx("div", __assign({}, props, { ref: forwardedRef, style: style })), _jsx(Styled.Label, __assign({ ref: labelRef, style: labelStyle }, { children: label }))] })));
});
export default Divider;
