var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { forwardRef } from "react";
import { getContainerProps } from "../../../utilities/props";
import * as Styled from "./style";
/**
 * Flex Component
 */
var Flex = forwardRef(function (props, forwardedRef) {
    var _a, _b, _c, _d, _e, _f;
    var style = __assign(__assign(__assign({}, getContainerProps(props)), { flex: props.flex, flexDirection: (_a = props.direction) !== null && _a !== void 0 ? _a : props.d, alignContent: (_b = props.alignContent) !== null && _b !== void 0 ? _b : props.ac, alignItems: (_c = props.alignItems) !== null && _c !== void 0 ? _c : props.ai, justifyContent: (_d = props.justifyContent) !== null && _d !== void 0 ? _d : props.jc, flexWrap: props.wrap, rowGap: (_e = props.rowGap) !== null && _e !== void 0 ? _e : props.rg, columnGap: (_f = props.columnGap) !== null && _f !== void 0 ? _f : props.cg, gap: props.gap }), props.style);
    return _jsx(Styled.Flex, __assign({}, props, { ref: forwardedRef, style: style }));
});
export default Flex;
