import { useEffect } from "react";
/**
 * Moves the scroll to the position
 * @param ref dom with scroll
 * @param position scroll position
 * @param dependency dependency
 */
var useSetScrollPosition = function (ref, position, dependency) {
    useEffect(function () {
        if (ref.current)
            ref.current.scrollTop = position;
    }, [dependency]);
};
export default useSetScrollPosition;
