import { BackgroundProps, BorderProps, ContainerProps, ElementProps, FontProps, MaxSizeProps, SizeProps, WhiteSpaceProps } from "../types/props";
export declare const getContainerProps: (props: ContainerProps) => {
    border: import("csstype").Property.Border<0 | (string & {})> | undefined;
    borderRadius: import("csstype").Property.BorderRadius<0 | (string & {})> | undefined;
    boxShadow: import("csstype").Property.BoxShadow | undefined;
    background: import("csstype").Property.Background<0 | (string & {})> | undefined;
    backgroundColor: import("csstype").Property.BackgroundColor | undefined;
    margin: import("csstype").Property.Margin<0 | (string & {})> | undefined;
    padding: import("csstype").Property.Padding<0 | (string & {})> | undefined;
    maxWidth: import("csstype").Property.MaxWidth<0 | (string & {})> | undefined;
    maxHeight: import("csstype").Property.MaxHeight<0 | (string & {})> | undefined;
    width: import("csstype").Property.Width<0 | (string & {})> | undefined;
    height: import("csstype").Property.Height<0 | (string & {})> | undefined;
};
export declare const getElementProps: (props: ElementProps) => {
    border: import("csstype").Property.Border<0 | (string & {})> | undefined;
    borderRadius: import("csstype").Property.BorderRadius<0 | (string & {})> | undefined;
    boxShadow: import("csstype").Property.BoxShadow | undefined;
    background: import("csstype").Property.Background<0 | (string & {})> | undefined;
    backgroundColor: import("csstype").Property.BackgroundColor | undefined;
    margin: import("csstype").Property.Margin<0 | (string & {})> | undefined;
    padding: import("csstype").Property.Padding<0 | (string & {})> | undefined;
    width: import("csstype").Property.Width<0 | (string & {})> | undefined;
    height: import("csstype").Property.Height<0 | (string & {})> | undefined;
};
export declare const getSizeProps: (props: SizeProps) => {
    width: import("csstype").Property.Width<0 | (string & {})> | undefined;
    height: import("csstype").Property.Height<0 | (string & {})> | undefined;
};
export declare const getMaxSizeProps: (props: MaxSizeProps) => {
    maxWidth: import("csstype").Property.MaxWidth<0 | (string & {})> | undefined;
    maxHeight: import("csstype").Property.MaxHeight<0 | (string & {})> | undefined;
};
export declare const getWhiteSpaceProps: (props: WhiteSpaceProps) => {
    margin: import("csstype").Property.Margin<0 | (string & {})> | undefined;
    padding: import("csstype").Property.Padding<0 | (string & {})> | undefined;
};
export declare const getBackgroundProps: (props: BackgroundProps) => {
    background: import("csstype").Property.Background<0 | (string & {})> | undefined;
    backgroundColor: import("csstype").Property.BackgroundColor | undefined;
};
export declare const getBorderProps: (props: BorderProps) => {
    border: import("csstype").Property.Border<0 | (string & {})> | undefined;
    borderRadius: import("csstype").Property.BorderRadius<0 | (string & {})> | undefined;
    boxShadow: import("csstype").Property.BoxShadow | undefined;
};
export declare const getFontProps: (props: FontProps) => {
    color: import("csstype").Property.Color | undefined;
    font: import("csstype").Property.Font | undefined;
    fontStyle: import("csstype").Property.FontStyle | undefined;
    fontWeight: import("csstype").Property.FontWeight | undefined;
    fontSize: import("csstype").Property.FontSize<0 | (string & {})> | undefined;
    fontFamily: import("csstype").Property.FontFamily | undefined;
    fontVariant: import("csstype").Property.FontVariant | undefined;
    lineHeight: import("csstype").Property.LineHeight<0 | (string & {})> | undefined;
    textDecoration: import("csstype").Property.TextDecoration<0 | (string & {})> | undefined;
};
